Module jdk.jlink
Package jdk.tools.jlink.plugin

## Enum Plugin.STATE

- java.lang.Object
- - java.lang.Enum<Plugin.STATE>
  - - jdk.tools.jlink.plugin.Plugin.STATE

All Implemented Interfaces:
  Serializable, Comparable<Plugin.STATE>

Enclosing interface:
  Plugin

    public static enum Plugin.STATE
    extends Enum<Plugin.STATE>

Plugin state:

- DISABLED: The plugin is not exposed in help and will be not called.
- AUTO_ENABLED: The plugin is enabled by default. It doesn't require its option to be present to be called.
- FUNCTIONAL: The plugin is properly configured and can operate. Non functional plugin must advertise their status in the `getStateDescription` method

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTO_ENABLED`
`DISABLED`
`FUNCTIONAL`

### Method Summary

All Methods Static Methods Concrete Methods
`static Plugin.STATE` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Plugin.STATE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTO_ENABLED

    public static final Plugin.STATE AUTO_ENABLED

#### DISABLED

    public static final Plugin.STATE DISABLED

#### FUNCTIONAL

    public static final Plugin.STATE FUNCTIONAL

### Method Detail

#### values

    public static Plugin.STATE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Plugin.STATE c : Plugin.STATE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Plugin.STATE valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null